<?php  if(!defined('DEDEINC')) exit('dedecms');
/**
 * 驗證小助手
 *
 * @version        $Id: validate.helper.php 2 13:56 2010年7月5日 tianya $
 * @package        DedeCMS.Helpers
 * @copyright      Copyright (c) 2007 - 2010, DesDev, Inc.
 * @license        http://help.dedecms.com/usersguide/license.html
 * @link           http://www.dedecms.com
 */

/**
 * 瀏覽器友好的變量輸出,便於調試時候使用
 *
 * @param     mixed   $var       要輸出查看的內容
 * @param     bool    $echo      是否直接輸出
 * @param     string  $label     加上說明標籤,如果有,這顯示"標籤名:"這種形式
 * @param     bool    $strict    是否嚴格過濾
 * @return    string
 */
if ( ! function_exists('Dump'))
{
    function Dump($var, $echo=true, $label=null, $strict=true)
    {
        $label = ($label===null) ? '' : rtrim($label) . ' ';
        if(!$strict) {
            if (ini_get('html_errors')) {
                $output = print_r($var, true);
                $output = "<pre>".$label.htmlspecialchars($output,ENT_QUOTES)."</pre>";
            } else {
                $output = $label . " : " . print_r($var, true);
            }
        }else {
            ob_start();
            var_dump($var);
            $output = ob_get_clean();
            if(!extension_loaded('xdebug')) {
                $output = preg_replace("/\]\=\>\n(\s+)/m", "] => ", $output);
                $output = '<pre>'. $label. htmlspecialchars($output, ENT_QUOTES). '</pre>';
            }
        }
        if ($echo) {
            echo($output);
            return null;
        }else
            return $output;
    }
}

/**
 *  獲取執行時間
 *  例如:$t1 = ExecTime();
 *       在一段內容處理之後:
 *       $t2 = ExecTime();
 *  我們可以將2個時間的差值輸出:echo $t2-$t1;
 *
 *  @return    int
 */
if ( ! function_exists('ExecTime'))
{
    function ExecTime()
    {
        $time = explode(" ", microtime());
        $usec = (double)$time[0];
        $sec = (double)$time[1];
        return $sec + $usec;
    }
}
